<template lang="pug">
	#opciones
		.panel
			button(type="button", @click="() => zoom = 1")
				zoom-cancel-icon
				span Tamaño real
			input(type="range", v-model="zoom", min="0.5", max="2", step="0.1")
			button(type="button", @click="() => zoom = .5")
				zoom-out-icon
				span Ajustar
</template>

<script>
import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'
export default {
	computed:{
		zoom:{
			get(){ return this.valorZoom },
			set(valor){ this.actualizarZoom(valor) }
		},
		...mapState({
			valorZoom: state => state.editor.zoom,
		})
	},
	methods:{
		...mapMutations({
			actualizarZoom: "editor/actualizarZoom",
		}),
	}
}
</script>

<style lang="stylus" scoped>
#opciones
	background-color dimgray
	padding .2rem
	display flex
	justify-content space-between
	align-items center


	.panel
		flex 1 1 auto

		display flex
		justify-content space-between
		align-items center

	button
		display flex
		color silver

	input
		flex 1 1 auto
		margin .5rem

</style>
